from leapp.libraries.common.config.version import get_target_major_version, is_rhel_realtime
from leapp.libraries.stdlib import api, CalledProcessError, run
from leapp.models import InstalledTargetKernelVersion
import re,os,time

def _get_newest_kernel_version():
    if os.path.exists('/etc/yum.repos.d/leapp-upgrade-repo-oc.repo'):
        with open('/etc/yum.repos.d/leapp-upgrade-repo-oc.repo', 'r') as file:
                content = file.read()
        content = content.replace('$releasever','9.0')
        with open('/etc/yum.repos.d/leapp-upgrade-repo-oc.repo', 'w') as file:
                file.write(content)
        time.sleep(1)
        command = ["yum", "--showduplicates", "--disablerepo=*","--releasever=9.0", "--enablerepo=baseos-rpms,appstream-rpms", "list", "kernel-core"]
        output = run(command, split=True)
        filtered_output = [line for line in output['stdout'] if 'kernel-core' in line]
        number_of_kernelcore = len(filtered_output)
        original_version = filtered_output[number_of_kernelcore-1] if filtered_output else None
        if 'oc9' in original_version:
            part_version = original_version.split()[1]
            kernel_version=part_version.split(".oc9")
            print("kernel_version:",kernel_version)
            return kernel_version[0]

def process():
    version='6.1.50-2303.1.0.tl4.x86_64'
    api.produce(InstalledTargetKernelVersion(version=version))

